MAKEPATTERN(1)

NAME
makepattern - make GMT color pattern from b/w pattern or icon

SYNOPSIS
makepattern 1bit.ras | iconfile -Cfr/g/b -Cbr/g/b

DESCRIPTION
makepattern reads either a Sun 1-bit rasterfile OR a Sun icon file. It then accepts color choices for the foreground and background pixels and colorizes the pattern, writing it as a 8-bit Sun rasterfile on stdout. These patterns may then be used in GMT (3.1 or later) -Gp settings or by psimage.

1bit.ras | iconfile
    Either a 1-bit Sun rasterfile (standard format, no RLE) or a Sun icon file (as used in GMT 3.0).

-Cf Sets the color for the foreground pixels (the ones) [black].

-Cb Sets the color for the background pixels (the zeros) [white].

WIN32 fix
Since binary redirection under WIN32 does not work, you must specify the output file with -Gnewfile.ras. This option is only available under WIN32.

EXAMPLES

To create a colorized red/blue 8-bit Sun rasterfile pattern from the old 3.0-style iconpattern stored in file custom.icon, run

makepattern custom.icon -Cfred -Cbblue > custom.ras

To create a green/blue 8-bit Sun rasterfile pattern from a 1-bit Sun raster called bits.ras, run

makepattern bits.ras -Cfgreen -Cbblue > colorbits.ras

SEE ALSO
GMT(1), psimage(1)